Subject: Lead from Live Chat - Rentacardoha.com
From: Suhail Pasta <[email-masked]>
To: [email-masked], [email-masked], [email-masked]
Date: Sun, 29 Dec 2019 06:04:36 -0500

| | Lead from Live Chat for Al Muftah Rent-a-Car

Name | Suhail Pasta
E-mail | [email-masked]
Lead About | Rental - With Driver
Date of Rental | 12-30-2019
Length of Rental | 1-2 day

Details of requirement

Ok I come doha for 20 hours for flight long transfer. I would around Doha and pearl with my wife. I prefer with driver.   Tomorrow 5am in Doha arrive and will stay at onyx ronta hotel. And return back airport at between 10-11pm

so I am plan from 3pm to 9pm with car with driver.  normal car and good price with driver..

Ok possible pick us from hotel as same return ?

I am on hearing air, can't listen properly. only email. reply asap.

Date | 12-29-2019

| |